<?php
  include("stilos/config.inc.php");
  include("../clases/BDConexion.php");
  include("../clases/clsPer.php");
  include("Funciones.php");
  include("funcion/funciones.php");
  session_start();
  session_register('charlas');
  $objPer=new clsPer;
  
  if($opt2==1){
  
  			$docuid=$objPer->getDNIchar($nombre);
                }

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><MMString:LoadString id="insertbar/formsHidden" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="style.css" rel="stylesheet" type="text/css">

<link href="Estilos.css" rel="stylesheet" type="text/css">

<link href="stilos/Estilos.css" rel="stylesheet" type="text/css">
<SCRIPT language=JavaScript src="js/calendario.js"></SCRIPT>
<script language="JavaScript"> 
<!--
//sURL,x,y
function Abrir_Ventanapopup1(sURL,x,y) { 
/*var especificaciones="top=0, left=0, toolbar=no,location=no, status=yes,menubar=no,scrollbars=no, resizable=no, width=1,height=1" 
var titulo="Titulo"
window.open(el_url,titulo,especificaciones);*/ 

if (!window.focus) return;
			var par;
			par = "width=" +x + ",height="+y+","
			par = par + "dependent=no,scrollbars=yes,resizable=no"
			par = par + "menubar=no,toolbar=no,status=yes"
			var ventana = window.open(sURL,"Ver",par)
			ventana.focus();
}
//-->

function Abrir_Ventanapopup2(sURL,x,y) { 
/*var especificaciones="top=0, left=0, toolbar=no,location=no, status=yes,menubar=no,scrollbars=no, resizable=no, width=1,height=1" 
var titulo="Titulo"
window.open(el_url,titulo,especificaciones);*/ 

if (!window.focus) return;
			var par;
			par = "width=" +x + ",height="+y+","
			par = par + "dependent=no,scrollbars=yes,resizable=no"
			par = par + "menubar=no,toolbar=no,status=yes"
			var ventana = window.open(sURL,"Ver",par)
			ventana.focus();
} 
</script>
<? 
$envia="fondo.php?k=$k&razonsocial=$razonsocial&distrito=$distrito";
$envia1="cvp_personal.php";
?>
<script>
function volverB(form)
{
location.reload('<? echo $envia1 ?>');
}
function volver(form)
{
location.reload('<? echo $envia ?>');
}
var vent = null;
function foco() {
   if (vent != null)
       vent.focus();
}
function cerrar() {
   vent = null;
}

</script>
<script language="JavaScript">
function selecciona(form)
{
 if(form.botones1.value)
  {
   form.zonasi.disabled=true;
  }
}

function cierra(form)
{
location.reload('../ventana.php');
}
function activainter(form)
{
   form.pais2.disabled=false;
   form.ciudad2.disabled=false;
   form.nacionalidad2.disabled=false;
   form.btn_ver2.disabled=false;
   form.btn_nuevo2.disabled=false;
   
   form.pais.value="";
   form.pais.disabled=true;
   form.ciudad.value="";
   form.ciudad.disabled=true;
   form.nacionalidad.value="";
   form.nacionalidad.disabled=true;
   form.idciudad1.value="";
   form.btn_ver1.disabled=true;
   form.btn_nuevo1.disabled=true;
}
</script>
<SCRIPT LANGUAGE=javascript>
function fn(form,field)
{
var next=0, found=false
var f=form
if(event.keyCode!=13) return;
for(var i=0;i<f.length;i++) {
if(field.name==f.item(i).name){
next=i+1;
found=true
break;
}
}
while(found){
if( f.item(next).disabled==false && f.item(next).type!='hidden'){
f.item(next).focus();
break;
}
else{
if(next<f.length-1)
next=next+1;
else
break;
}
}
}
</SCRIPT>
<script>
   function Enviar()
{
     var doc_id = window.document.form1.doc_id.value;
   	 var tipo_cap = window.document.form1.tipo_cap.value;
     var fecha_char = window.document.form1.fecha_char.value;
     var tema_char = window.document.form1.tema_char.value;
     var resp_char = window.document.form1.resp_char.value;
   	 var lugar_charl = window.document.form1.lugar_charl.value;
	 var expo_char = window.document.form1.expo_char.value;
	 var cod_emp = window.document.form1.cod_emp.value;
	 if (form1.person.value==""){
     alert("No Eligió un personal");
	 form1.btn_buscar.focus();
	 return;
      }
  else{window.location ="procesos/cvp_personal_agregarItem.php?doc_id="+doc_id+"&valor="+tipo_cap+"&fecha_char="+fecha_char+"&tema_char="+tema_char+"&resp_char="+resp_char+"&lugar_charl="+lugar_charl+"&expo_char="+expo_char+"&cod_emp="+cod_emp;}

}

function Enviarse(){
		form1.submit();
               }
</script>
<script>
function Datos(clave){
	 var doc_id = window.document.form1.doc_id.value;
   	 var tipo_cap = window.document.form1.tipo_cap.value;
     var fecha_char = window.document.form1.fecha_char.value;
     var tema_char = window.document.form1.tema_char.value;
     var resp_char = window.document.form1.resp_char.value;
   	 var lugar_charl = window.document.form1.lugar_charl.value;
	 var expo_char = window.document.form1.expo_char.value;
	 var cod_emp = window.document.form1.cod_emp.value;
	 window.location="procesos/cvp_borrarItem_pers_char.php?clave="+clave+"&doc_id="+doc_id+"&valor="+tipo_cap+"&fecha_char="+fecha_char+"&tema_char="+tema_char+"&resp_char="+resp_char+"&lugar_charl="+lugar_charl+"&expo_char="+expo_char+"&cod_emp="+cod_emp;
     }
</script>
<script>
function poner_imagen()
{
imagen1=new Image;
imagen1.src=document.form1.foto.value;
document.imagenes['foto'].src=imagen1.src;
}

function Evaluar(){
		if(form1.opt.disabled == false){
				form1.opt.disabled =true;
				form1.opt1.disabled =true;
				form1.opt.checked =false;
				form1.opt1.checked =false;	
				form1.nombre.focus();		
			                   }
			else
				{
				form1.opt.disabled =false;
				form1.opt1.disabled =false;
				form1.opt.checked =false;
				form1.opt1.checked =false;				
				}
		}
</script>
<!-- Copyright 2000,2001 Macromedia, Inc. All rights reserved. -->
<!-- Copyright 2000,2001 Macromedia, Inc. All rights reserved. -->
<!-- Copyright 2000,2001 Macromedia, Inc. All rights reserved. -->
<style type="text/css">
<!--
.Estilo1 {color: #0000FF}
-->
</style>
</head>

<body bgcolor="<?=$c_fondo['fondo']?>" onfocus="foco()" background="../imagenes/fondo.jpg">
<link href="stilos/Estilos.css" rel="stylesheet" type="text/css">
<table width="740" border="0" align="center" cellpadding="0" cellspacing="0" >
  <tr valign="top" >
    <td height="25" colspan="4">
    <div align="left" ></div></td>
  </tr>
  <tr class="lblCampo" >
    <td colspan="4"><div align="center">
        <form name="form1" method="get" action="cvp_charlas_repor.php" enctype="multipart/form-data">
          <table width="730" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="25"><img src="../estilo_tabla/parte_sup_izq.gif" width="25" height="25"></td>
              <td width="680" background="../estilo_tabla/parte_sup_cen.gif" valign="bottom">
                <div align="left" class="lblTitulo" > <strong>CONSULTAR - REGISTRO DE ASISTENCIA A CHARLAS HSEQ-CR </strong> - PERSONAL BARRETT </div></td>
              <td width="25"><img src="../estilo_tabla/parte_sup_der.gif" width="25" height="25" border="0" usemap="#Map"></td>
            </tr>
            <tr>
              <td  background="../estilo_tabla/parte_med_izq.gif">&nbsp;</td>
              <td  height="86" background="../estilo_tabla/parte_med_cen.gif"><div align="center">
                  <table width="700" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="679">&nbsp;
                      </td>
                    </tr>
                    <tr>
                      <td>
					    <div align="center">
					      <table width="700" border="0" cellpadding="0" cellspacing="0">
                              <tr>
                                <td width="190"><div align="center">
                                  <FIELDSET>
                                  <LEGEND class="lblSubTitulo"></LEGEND>
                                  
                                </FIELDSET>
                                </div></td>
                                <td>&nbsp;</td>
                                <td class="rdoBanners">Fecha Inicial</td>
                                <td class="rdoBanners">&nbsp;</td>
                                <td class="rdoBanners">fecha Final </td>
                                <td>&nbsp;</td>
                                <td width="109"><div align="center">
                                </div></td>
                              </tr>
                            <tr>
                              <td width="190"><div align="center"><span class="lblSubTitulo">Buscar Capacitaci&oacute;n</span></div></td>
                              <td width="232">                                <div align="left"><span class="lblParrafo">
                                <input type="checkbox" name="opt" value="1" class="in" <?php if(isset($opt)){echo "checked";}?>>
                                Por Fecha</span><br>                                
                              </div></td>
                              <td width="70"><div align="left">
                                <input name="fecha_ini" type="text" class="lblForm1" id="fecha_char2" onKeyUp=fn(this.form,this) value="<?=$fecha_ini?>" size="12">
                              </div></td>
                              <td width="19"><div align="left"><a href="javascript:show_calendar('form1.fecha_ini');"><img src="../imagenes/calendar.jpg" width="16" height="15" border="0"></a></div></td>
                              <td width="69"><div align="left">
                                <input name="fecha_fin" type="text" class="lblForm1" id="fecha_char" onKeyUp=fn(this.form,this) value="<?=$fecha_fin?>" size="12">
                              </div></td>
                              <td width="63"><div align="left"><a href="javascript:show_calendar('form1.fecha_fin');"><img src="../imagenes/calendar.jpg" width="16" height="15" border="0"></a></div></td>
                              <td width="109"><div align="center">
                                <input name="btn_buscar" type="button" style="<?=$stylo['st2']?>" class="botira" value=".:   Buscar   :." onClick="Enviarse()">
                              </div></td>
                            </tr>
                            <tr>
                              <td width="190">&nbsp;</td>
                              <td>                                <div align="left"><span class="lblParrafo">
                              <input type="checkbox" name="opt1" value="1" class="in" 	<?php if(isset($opt1)){echo "checked";}?>>
                              Empresa Service</span></div></td>
                              <td colspan="4"><div align="left">
                                <select name="cod_emp" class="lblForm1" id="select2" onkeyup=fn(this.form,this)>
                                  <option value="0">Varios</option>
                                  <? 
							echo $objPer->getCboEmp($cod_emp);
							?>
                                </select>
                              </div></td>
                              <td width="109">&nbsp;</td>
                            </tr>
                            <tr>
                              <td colspan="7"><hr align="left" size="1" color="#000000"></td>
                            </tr>
                            <tr>
                              <td colspan="7">
                              <table width="752" border="1" align="center" cellpadding="0" cellspacing="0" bordercolor="<?=$bordetabla?>" bgcolor="<?=$c_fondo['fondo tabla']?>" style="<?=$stylo['tabla']?>">
                                <tr bordercolor="#00CC00" bgcolor="#2F8523">
                                  <td width="80" class="rdoBanners"><div align="center">Fecha de Charla</div></td>
                                  <td width="114" class="rdoBanners"><div align="center">Expositor</div></td>
                                  <td width="88" class="rdoBanners"><div align="center">Tipo Capcitacion </div></td>
                                  <td width="128" class="rdoBanners"><div align="center">Tema </div></td>
                                  <td width="107" class="rdoBanners"><div align="center">Lugar</div></td>
                                  <td width="117" class="rdoBanners"><div align="center">Empresa</div></td>
                                  <td width="50" class="rdoBanners">Imprimir</td>
                                  <td width="50" class="rdoBanners"><div align="center">Archivo</div></td>
                                </tr>
                                <?php 
 								if((isset($opt))||(isset($opt1))){
								 	if($opt==1){$fecha_ini=extraerfechamysql($fecha_ini);$fecha_fin=extraerfechamysql($fecha_fin); $result = $objPer->DevolverCharlasxfechas($fecha_ini,$fecha_fin);}
									if($opt1==1){$result = $objPer->DevolverCharlasxEmpresa($cod_emp);}
									if(($opt==1)&&($opti==1)){$result = $objPer->DevolverCharlasxfechasxEmpresa($fecha_ini,$fecha_fin,$cod_emp);}
									}
								else
									$result = $objPer->DevolverCharlas();
									$registros=10;
								if(!isset($paginas)){$inicio = 0; $paginas=1;}
								else{$inicio= ($paginas -1) * $registros;}
								$totalregistros = $objPer->totalrows($result);
								
								if((isset($opt))||(isset($opt1))){
								 	if($opt==1){$result = $objPer->DevolverCharlasxfechasPag($fecha_ini,$fecha_fin,$inicio,$registros);}
									if($opt1==1){$result = $objPer->DevolverCharlasxEmpresaPag($cod_emp,$inicio,$registros);}
									if(($opt==1)&&($opti==1)){$result = $objPer->DevolverCharlasxfechasxEmpresaPag($fecha_ini,$fecha_fin,$cod_emp,$inicio,$registros);}
									}
								else
								$result = $objPer->DevolverCharlasPag($inicio,$registros);
								$totalpaginas = ceil($totalregistros/$registros);
								while($registro=$objPer->NextRow($result)){
								 ?>
                                <tr>
                                  <td class="lblReporte"><?=extraerfechanormal($registro['fecha_charla'])?></td>
                                  <td align="left" class="lblReporte"><?=$registro['expositor']?></td>
                                  <td align="left" class="lblReporte"><?=$registro['tipo_cap']?>
</td>
                                  <td class="lblReporte"><?=$registro['tema_charla']?></td>
                                  <td class="lblReporte"><?=$registro['lugar_charla']?></td>
                                  <td class="lblReporte"><div align="center"><?=$registro['razon_emp']?></td>
                                  <td><div align="center"><a href="#"><img src="../imagenes/imprimir.gif" width="18" height="15" border="0" onClick="javascript:Abrir_Ventanapopup2('cvp_reporte_charla.php?cod_charla=<?=$registro['cod_charla']?>',800,850)"></a></div></td>
                                  <td><div align="center"><?php 
								  							 if ($registro['archivo']==NULL){
															    echo "<img src='../imagenes/iconojpggris.gif' width='18' height='15' border='0'>"; 
															  }
															else {echo "<a href='procesos/bajando_archivo_char.php?arch=".$registro['archivo']."'><img src='../imagenes/iconojpg.gif' width='18' height='15' border='0'></a>";}																
														   ?></div></td>
                                </tr>
								<?php } $objPer->Liberar($result);?>
                               </table> 
                              </iframe></td>
                            </tr>
							<?php if(isset($nombre)){?>
							<?php }		?>
                            <tr>
                              <td colspan="7">          
                              <div align="left" class="rdoBanners">Pagina<?=" ".($paginas)." de ".$totalpaginas;?></div></td>
                            </tr>
                            <tr>
                              <td colspan="7" align="center"><?php if($result){
							  				if(($paginas - 1) > 0) {
											echo "<a href='".$PHP_SELF."?paginas=".($paginas-1)."'>< Anterior</a> ";
																	}
											for ($i=1; $i<=$totalpaginas; $i++){ 
													if ($paginas == $i) {
														echo "<b><font color='#000066'>[".$paginas."]</font></b> "; 
													} else {
														echo "<a href='".$PHP_SELF."?paginas=$i'>[$i]</a>"; 
													}	
												}
											  
												if(($paginas + 1)<=$totalpaginas) {
													echo " <a href='".$PHP_SELF."?paginas=".($paginas+1)."'>Siguiente ></a>";
												}
		
																	
																	
											   
											   }
							  
							?></td>
                            </tr>
                          </table>
			          </div></td>
                    </tr>
                </table>
              </div></td>
              <td background="../estilo_tabla/parte_med_der.gif">&nbsp;</td>
            </tr>
            <tr>
              <td><img src="../estilo_tabla/parte_inf_izq.gif" width="25" height="25"></td>
              <td background="../estilo_tabla/parte_inf_cen.gif">&nbsp;</td>
              <td><img src="../estilo_tabla/parte_inf_der.gif" width="25" height="25"></td>
            </tr>
          </table>
        </form>
    </div></td>
  </tr>
  <tr valign="top" class="lblCampo" >
    <td colspan="4">
    <div align="center"> </div></td>
  </tr>
<map name="Map">
  <area shape="rect" coords="3,4,23,21" href="fondo.php">
</map>
</body>
</html>